﻿@model PlanNabaveViewModel

@{
    ViewData["Title"] = "PlanNabave " + Model.Naziv;
}

<p>
    <small>
        Ova stranica prikazuje Detail, popis stavki odabranog plana nabave. Stranica prikazuje sve podatke koje stavka nabave sadrži. Po povratku na stranicu s planovima nabave, vratit ćemo se na istu stranicu sa prethodno zadanim sortiranjem.
    </small>
</p>

<div class="container">
    <div class="form-group row">
        <div class="col-sm-8">
            <h4>@Model.Naziv/@Model.NazivTvrtke</h4>
        </div>
    </div>
</div>

<div class="row justify-content-sm-center">
    <div class="col-sm-1 text-right">
        <a asp-action="Edit"
           asp-route-Id="@Model.Id"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Ažuriraj" target="_blank"><i class="fas fa-edit"></i></a>
    </div>
    <div class="col-sm-1 text-center">
        <form asp-action="Delete" method="post"
              asp-route-page="@ViewBag.Page"
              asp-route-sort="@ViewBag.Sort"
              asp-route-ascending="@ViewBag.Ascending">
            <input type="hidden" name="Id" value="@Model.Id" />
            <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                <i class="fas fa-trash-alt"></i>
            </button>
        </form>
    </div>
    <div class="col-sm-1 text-left">
        <a asp-action="Index2"
           asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           class="btn btn-sm" title="Povratak na popis osoba"><i class="fas fa-undo-alt"></i></a>
    </div>
</div>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Evidencijski Broj", "Predmet nabave", "Procjenjena vrijednost", "VrijediOd",
                "Vrijedi do", "CPV", "Valuta", "Vrsta postupka"};
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th>
                        @nazivi[i]
                    </th>
                }
            }
        </tr>
    </thead>

    <tbody>
        @foreach (var stavka in Model.Stavke)
        {
            <tr>
                <td class="text-left col-sm-2">
                    @stavka.EvidencijskiBroj
                </td>
                <td class="text-left col-sm-2">
                    @stavka.PredmetNabave
                </td>
                <td class="text-left col-sm-2">
                    @stavka.ProcjenjenaVrijednost
                </td>
                <td class="text-left col-sm-2">
                    @stavka.VrijediOd
                </td>
                <td class="text-left col-sm-2">
                    @stavka.VrijediDo
                </td>
                <td class="text-left col-sm-2">
                    @stavka.CPV
                </td>
                <td class="text-left col-sm-2">
                    @stavka.Valuta
                </td>
                <td class="text-left col-sm-2">
                    @stavka.VrstaPostupka
                </td>
            </tr>
        }
    </tbody>
</table>